SDLTest_TestCaseReference Struct Reference

`#include <SDL_test_harness.h>`

## Data Fields

SDLTest_TestCaseFp | testCase
char * | name
char * | description
int | enabled

## Detailed Description

Holds information about a single test case.

Definition at line 75 of file SDL_test_harness.h.

## Field Documentation

## description

char* SDLTest_TestCaseReference::description

Definition at line 81 of file SDL_test_harness.h.

Referenced by SDLTest_RunSuites(), and SDLTest_RunTest().

## enabled

int SDLTest_TestCaseReference::enabled

Definition at line 83 of file SDL_test_harness.h.

Referenced by SDLTest_RunSuites(), and SDLTest_RunTest().

## name

char* SDLTest_TestCaseReference::name

Definition at line 79 of file SDL_test_harness.h.

Referenced by SDLTest_RunSuites(), and SDLTest_RunTest().

## testCase

SDLTest_TestCaseFp SDLTest_TestCaseReference::testCase

Definition at line 77 of file SDL_test_harness.h.

Referenced by SDLTest_RunTest().

The documentation for this struct was generated from the following file:

- include/SDL_test_harness.h